Name: qpopper
Version: 2.53
Release: 1-PAM
Copyright: BSD-like
Group: Networking/Daemons
Source: ftp://ftp.qualcomm.com/eudora/servers/unix/popper/qpopper2.53.tar.Z
Source1: qpopper.pamd
Patch: qpopper2.53-linux-pam.patch
Summary: POP3 daemon from Qualcomm
Requires: pam >= 0.59
Packager: Marek Habersack <grendel@vip.maestro.com.pl>
BuildRoot: /tmp/qpopper-%{PACKAGE_VERSION}

%description
POP3 server from QUALCOMM, with the following features: lower memory
requirements, thus faster UIDL assists POP clients which "leave mail
on server" in determining which messages are new. Implements some
other extended POP3 commands. 

This version of qpopper is shadow passwords aware, provied your libc
supports this.

The Linux version also supports the PAM library (so far the PAM 
modifications aren't officially supported by Qualcomm. All questions,
complaints etc. according PAM support should be directed to
Marek Habersack <grendel@vip.maestro.com.pl>)

%prep
%setup -n qpopper2.53
%patch -p1

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure \
    --prefix=/usr \
    --enable-bulletins=/var/spool/mail/bulletins \
    --enable-apop=/etc/pop.auth \
    --with-apopuid \
    --with-pam
    
make CFLAGS="$RPM_OPT_FLAGS"

%clean
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{sbin,man/man8}
install -d -m 755 $RPM_BUILD_ROOT/etc/pam.d/
install -m 755 -s popper $RPM_BUILD_ROOT/usr/sbin/in.qpopper
sed -e 's#/usr/etc/popper#/usr/sbin/in.qpopper#g' < popper.8 > $RPM_BUILD_ROOT/usr/man/man8/in.qpopper.8
chmod 644 $RPM_BUILD_ROOT/usr/man/man8/in.qpopper.8
install -m 755 -s popauth $RPM_BUILD_ROOT/usr/sbin/popauth
install -m 644 popauth.8 $RPM_BUILD_ROOT/usr/man/man8/popauth.8
install -m 755 -d $RPM_BUILD_ROOT/var/spool/mail/bulletins
install -m 644 $RPM_SOURCE_DIR/qpopper.pamd $RPM_BUILD_ROOT/etc/pam.d/qpopper

%files
%attr(-,root,root) %doc License INSTALL doc
%attr(-,root,mail) %dir /var/spool/mail/bulletins
%attr(-,root,root) /usr/sbin/in.qpopper
%attr(-,root,root) /usr/sbin/popauth
%attr(-,root,root) /usr/man/man8/in.qpopper.8
%attr(-,root,root) /usr/man/man8/popauth.8
%attr(-,root,root) %config /etc/pam.d/qpopper
